clear
[node,elem,face]=readmedit('17-5Years.mesh');

face = boundary_faces(elem(:,1:4));
[node,face] = meshcheckrepair(node(:,1:3),face(:,1:3),'isolated');

node = node(node(:,3)>70,:);

sampleinputs = [87.68 193.9 86.37;
96.09 13.44 77.73;
17.19 93.14 73.02;
160.9 95.92 78.02];

[P, N] = nfri_auto1010(sampleinputs, node(:,1:3), 'hemispheric', 'balanced', [], 1, 'PrintPlot');